iTunes

Opening the iTunes Store.If iTunes doesn't open, click the iTunes application icon in your Dock or on your Windows desktop.Progress Indicator
Opening the iBooks Store.If iBooks doesn't open, click the iBooks app in your Dock.Progress Indicator
iTunes

iTunes is the world's easiest way to organize and add to your digital media collection.

We are unable to find iTunes on your computer. To download from the iTunes Store, get iTunes now.

Already have iTunes? Click I Have iTunes to open it now.

I Have iTunes Free Download

Caveboy Dave: Not So Faboo

This book can be downloaded and read in iBooks on your Mac or iOS device.

Description

From New York Times bestselling author Aaron Reynolds comes the latest installment of Caveboy Dave, a middle-grade graphic novel series perfect for fans of Captain Underpants.

Twelve-year-old Dave Unga-Bunga is having a great year: he survived his deadly Baby-Go-Boom ceremony, he's earned the respect of the villagers of Bleccchh, and he just invented ice cream and summer vacation. Before the ice cream melts, Dave and his friends spot a plume of smoke on the horizon (could there be another tribe nearby?) and suddenly Shaman Faboo--the glue that holds the village together--goes missing. With no one to tell them what to do or how to think, the village panics and elects Dave as their new leader. If Dave can't find Shaman Faboo and bring him back (alive), he'll be doomed to a life of boredom or worse: public service!

Not So Faboo, the second book in the Caveboy Dave series, delivers irresistible characters, big thrills, and even bigger laughs.

Caveboy Dave: Not So Faboo
View in iTunes
  • Available on iPhone, iPad, iPod touch, and Mac.
  • Category: Fiction
  • Expected Release: Oct 23, 2018
  • Publisher: Penguin Young Readers Group
  • Seller: Penguin Group (USA) Inc.
  • Print Length: 256 Pages
  • Language: English
  • Requirements: To view this book, you must have an iOS device with iBooks 1.3.1 or later and iOS 4.3.3 or later, or a Mac with iBooks 1.0 or later and OS X 10.9 or later.